%global plugin_name kubernetes

Summary:    Jenkins plugin to run dynamic slaves in a Kubernetes/Docker environment
Name:       jenkins-plugin-%{plugin_name}
Version:    0.11
Release:    10%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Kubernetes+Plugin
# AltURL:   https://github.com/jenkinsci/kubernetes-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-durable-task
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-durable-task-step
Requires:   jenkins-plugin-workflow-cps

%description
Jenkins plugin to run dynamic slaves in a Kubernetes/Docker environment.

Based on the Scaling Docker with Kubernetes article, automates the 
scaling of Jenkins slaves running in Kubernetes.

The plugin creates a Kubernetes Pod for each slave started, defined by 
the Docker image to run, and stops it after each build.

Slaves are launched using JNLP, so it is expected that the image 
connects automatically to the Jenkins master. For that some environment 
variables are automatically injected:

 - JENKINS_URL: Jenkins web interface url
 - JENKINS_JNLP_URL: url for the jnlp definition of the specific slave
 - JENKINS_SECRET: the secret key for authentication


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 0.11 - 0.11-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 0.11-1
- Update to 0.11

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 0.10-1
- Update to 0.10

* Tue Aug 16 2016 Troy Dawson <tdawson@redhat.com> - 0.8-1
- Update to 0.8

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 0.6-1
- Update to 0.6

* Tue Feb 09 2016 Troy Dawson <tdawson@redhat.com> - 0.5-1
- Update to 0.5

* Mon Nov 16 2015 Troy Dawson <tdawson@redhat.com> - 0.4.1-1
- Initial package
